/* INVLISIBLE RIDDLE part of RIDDLE BOX

   A piece of paper with invisible ink holds the password for the next level

   For more information please visit: https://www.instructables.com/id/Arduino-Riddlebox

   Licence: CC-BY-SA
   https://creativecommons.org/licenses/by-sa/2.5/
   //th 01/2018
*/
void invisible() {
item1:
  delay(250);
  lcd.clear();
  lcd.setCursor(6, 0);
  lcd.print("RIDDLE 6:");
  lcd.setCursor(6, 2);
  lcd.print("INVISIBLE");
  lcd.setCursor(19, 3);
  lcd.print(">");
  do {
    char key = kpd.getKey();
    if (key == '#') {
      break;
    }
  } while (true);

item2:
  delay(250);
  lcd.clear();
  lcd.home();
  lcd.print("Was the piece of");
  lcd.setCursor(0, 1);
  lcd.print("paper really empty?");
  lcd.setCursor(6, 2);
  lcd.print("=[____]=");
  lcd.setCursor(0, 3);
  lcd.print("<");
  byte i = 0;
  boolean solved = false;
  //Change solution to any number you like
  //To change solution size, change array size to "number of solution digits + 1"
  //Remember to change the interface in line 36 ff. to accomodate the new size of the solution
  char solution[5] = {"1524"};
  char answer[5] = {"0000"};
  do {
    char key = kpd.getKey();
    if (key) {
      if (key == '*') {
        goto item1;
      } else {
        answer[i] = key;
        lcd.setCursor(8 + i, 2);
        lcd.print(answer[i]);
        i++;
      }
    }
    if (i == 4) {
      delay(250);
      if (strcmp(answer, solution) == 0) {
        lcd.setCursor(7, 3);
        lcd.print("CORRECT");
        delay(1000);
        solved = true;
      } else {
        lcd.setCursor(6, 3);
        lcd.print("INCORRECT");
        delay(1000);
        lcd.setCursor(6, 3);
        lcd.print("         ");
        lcd.setCursor(8, 2);
        lcd.print("____");
        while (i != 0) {
          answer[i--] = 0;
        }
      }
    }
  } while (solved == false);
  progress++;
}
