/* OFFLINE RIDDLE part of RIDDLE BOX

   Can only be completed by activating the key switch

   For more information please visit: https://www.instructables.com/id/Arduino-Riddlebox

   Licence: CC-BY-SA
   https://creativecommons.org/licenses/by-sa/2.5/
   //th 01/2018
*/
void offline() {
item1:
  delay(250);
  lcd.clear();
  lcd.setCursor(6, 0);
  lcd.print("RIDDLE 5:");
  lcd.setCursor(7, 2);
  lcd.print("OFFLINE");
  lcd.setCursor(19, 3);
  lcd.print(">");
  do {
    char key = kpd.getKey();
    if (key == '#') {
      break;
    }
  } while (true);

item2:
  boolean solved = false;
  delay(250);
  lcd.clear();
  lcd.setCursor(3, 1);
  lcd.print("You've got Mail");
  lcd.setCursor(0, 3);
  lcd.print("<");
  
  //Checking State of keyswitch
  //If keyswitch is turned, the level is passed
  switchState1 = digitalRead(keySwitch1);
  switchState2 = digitalRead(keySwitch2);
  do {
    char key = kpd.getKey();
    oldSwitchState1 = switchState1;
    oldSwitchState2 = switchState2;
    switchState1 = digitalRead(keySwitch1);
    switchState2 = digitalRead(keySwitch2);
    if (key) {
      if (key == '*') {
        goto item1;
      }
    }
    if (switchState1 != oldSwitchState1 || switchState2 != oldSwitchState2) {
      solved = true;
    }
  } while (solved == false);
  progress++;
}
