/* CHANGE RIDDLE part of RIDDLE BOX

   Euro Note colour/cash game
   This will only work for currencies with different coloured bank notes
   Could be rewritten for US Dollars using the images depicted on the bank notes

   For more information please visit: https://www.instructables.com/id/Arduino-Riddlebox

   Licence: CC-BY-SA
   https://creativecommons.org/licenses/by-sa/2.5/
   //th 01/2018
*/
void change() {
item1:
  delay(250);
  lcd.clear();
  lcd.setCursor(6, 0);
  lcd.print("RIDDLE 8:");
  lcd.setCursor(7, 2);
  lcd.print("CHANGE");
  lcd.setCursor(19, 3);
  lcd.print(">");
  do {
    char key = kpd.getKey();
    if (key) {
      if (key == '#') {
        break;
      }
    }
  } while (true);

item2:
  delay(250);
  lcd.clear();
  lcd.home();
  lcd.print("2 greens make a red");
  lcd.setCursor(0, 1);
  lcd.print("5 reds make a yellow");
  lcd.setCursor(0, 2);
  lcd.print("2 reds make a blue");
  lcd.setCursor(0, 3);
  lcd.print("<");
  lcd.setCursor(19, 3);
  lcd.print(">");
  do {
    char key = kpd.getKey();
    if (key == '*') {
      goto item1;
    } else if (key == '#') {
      break;
    }
  } while (true);

item3:
  delay(250);
  lcd.clear();
  lcd.home();
  lcd.print("How much is a blue?");
  lcd.setCursor(7, 2);
  lcd.print("=[__]=");
  lcd.setCursor(0, 3);
  lcd.print("<");
  byte i = 0;
  boolean solved = false;
  //Change solution to any number you like
  //To change solution size, change array size to "number of solution digits + 1"
  //Remember to change the interface in line 36 ff. to accomodate the new size of the solution
  char solution[3] = {"20"};
  char answer[3] = {"00"};
  do {
    char key = kpd.getKey();
    if (key) {
      if (key == '*') {
        goto item2;
      } else {
        answer[i] = key;
        lcd.setCursor(9 + i, 2);
        lcd.print(answer[i]);
        i++;
      }
    }
    if (i == 2) {
      delay(250);
      if (strcmp(answer, solution) == 0) {
        lcd.setCursor(7, 3);
        lcd.print("CORRECT");
        delay(1000);
        solved = true;
      } else {
        lcd.setCursor(6, 3);
        lcd.print("INCORRECT");
        delay(1000);
        lcd.setCursor(6, 3);
        lcd.print("         ");
        lcd.setCursor(9, 2);
        lcd.print("__");
        while (i != 0) {
          answer[i--] = 0;
        }
      }
    }
  } while (solved == false);
  progress++;
}
