/* RIDDLE SIXTEEN part of RIDDLE BOX

   Hex to Dec conversion of 9876543

   For more information please visit: https://www.instructables.com/id/Arduino-Riddlebox

   Licence: CC-BY-SA
   https://creativecommons.org/licenses/by-sa/2.5/
   //th 01/2018
*/
void sixteen() {
item1:
  delay(250);
  lcd.clear();
  lcd.setCursor(6, 0);
  lcd.print("RIDDLE 3:");
  lcd.setCursor(7, 2);
  lcd.print("SIXTEEN");
  lcd.setCursor(19, 3);
  lcd.print(">");
  do {
    char key = kpd.getKey();
    if (key == '#') {
      break;
    }
  } while (true);

item2:
  delay(250);
  lcd.clear();
  lcd.setCursor(5, 0);
  lcd.print("Solve this:");
  lcd.setCursor(0, 1);
  //Change o any hex number you want, keep in mind the number of decimal digits and adjust line 37 ff. accordingly
  lcd.print("0x: 96B43F");
  lcd.setCursor(0, 2);
  lcd.print("0d: _______");
  lcd.setCursor(0, 3);
  lcd.print("<");
  lcd.setCursor(19, 3);
  byte i = 0;
  boolean passed = false;
  char solution[8] = {"9876543"};
  char answer[8] = {"0000000"};
  do {
    char key = kpd.getKey();
    if (key) {
      if (key == '*') {
        goto item1;
      } else {
        answer[i] = key;
        lcd.setCursor(4 + i, 2);
        lcd.print(answer[i]);
        i++;
      }
    }
    if (i == 7) {
      delay(250);
      if (strcmp(answer, solution) == 0) {
        lcd.setCursor(7, 3);
        lcd.print("CORRECT");
        delay(1000);
        passed = true;
      } else {
        lcd.setCursor(6, 3);
        lcd.print("INCORRECT");
        delay(1000);
        lcd.setCursor(6, 3);
        lcd.print("         ");
        lcd.setCursor(4, 2);
        lcd.print("_______");
        //Clears the answer array by writing zeros, working backwards from the last (current) array element
        while (i != 0) {
          answer[i--] = 0;
        }
      }
    }
  } while (passed == false);
  progress++;
}
